Subject: bug#54629: 29.0.50; Emacs crashes when I try to move scroll bar by grabbing it with mouse

From: Eric Spero <[email-masked]>
Date: Tue, 29 Mar 2022 23:24:51 -0400

Great, thank you for the explanation. I will forward this message on to the Gentoo people tomorrow.

Cheers,
Eric

On Wed 30 Mar 2022 at 11:18 AM, Po Lu <[email-masked]> wrote:

> Eric Spero <[email-masked]> writes:
>
>> Ok, here are the steps I took.
>>
>> 1. gdb /usr/bin/emacs
>> 2. run -Q
>> 3. [try to pull scroll bar down]
>> 4. bt
>>
>> gdb produced a bit output after I tried to pull the scroll bar down,
>> starting at "Fatal error 6: Aborted".
>>
>> Please let me know if I've done anything wrong, or if there is
>> anything else I can provide.
>
> Thanks.  This is because the PGTK port assumes toolkit scroll bars are
> always available, but compiling without them causes the wrong code to be
> enabled in keyboard.c, which then aborts upon "unexpected" scroll bar
> events.
>
> I will update the configure script to disallow this specific
> configuration, but in the meantime, please tell the Gentoo developers to
> fix their build script.
>
> Please tell them to also turn PGTK off by default, people shouldn't be
> using it on X.